import "virtual:windi.css"
import { createApp } from "vue"
import { createRouter, createWebHistory } from "vue-router"
import App from "./App.vue"
import routes from "virtual:generated-pages"
import { createPinia } from "pinia"

const router = createRouter({
  routes,
  history: createWebHistory()
})

createApp(App)
  .use(router)
  .use(createPinia())
  .mount("#app")
